These forums have been archived and are now read-only.

The new forums are live and can be found at https://forums.eveonline.com/

Linux

 
  • Topic is locked indefinitely.
 

wine 1.7.51 ... bad wine, no biscuit

First post
Author
Andris Arickson
Event Horizon Expeditionaries
Test Alliance Please Ignore
#1 - 2015-09-27 04:11:08 UTC
Wine 1.7.51 breaks eve sound, does for me and I've other internet reports that it does for them too.

I also get exefile.exe crashing (the game file) which is rather inconvenient to say the least. (this may or may not be related to wine 1.7.51 but I had no problems before the wine update)

I'm installing PlayOnLinux now to better manage my wine versions and install profiles.
Andris Arickson
Event Horizon Expeditionaries
Test Alliance Please Ignore
#2 - 2015-09-27 08:33:25 UTC
installed PlayOnLinux, using wine 1.7.50 and sound works.

Both clients have been working for a few hours now without issue.

I'll give it another day but it looks like the problems with eve crashing and no sound is fixed :D
Mister Ripley
Ministry of War
Amarr Empire
#3 - 2015-09-28 19:40:14 UTC
1.7.51 works fine here. I've also read that some people have sound problems with .51. Maybe it's some quirk with alsa/pulseaudio.
Kismeteer
Bat Country
Pandemic Horde
#4 - 2015-09-30 17:39:25 UTC
Obligatory 'eve has sound?' response.

wine-1.7.50 is working fine for me as well. I know when I have had sound problems, it has been a problem with mixer not being active and sending it to the wrong device.
Spoofeydoo
Eternity INC.
Goonswarm Federation
#5 - 2015-10-01 14:55:58 UTC  |  Edited by: Spoofeydoo
Mister Ripley wrote:
1.7.51 works fine here. I've also read that some people have sound problems with .51. Maybe it's some quirk with alsa/pulseaudio.


Wine-1.7.51 works fine for me too. No play on linux either.

I have a fruit cup and I'm not afraid to use it.

Miao Sajuuk
Deep Core Mining Inc.
Caldari State
#6 - 2015-10-02 21:34:24 UTC
In winecfg, set xaudio2_7 and xaudio2_8 to native.
Wishyouwell
Caldari Provisions
Caldari State
#7 - 2015-10-21 19:19:21 UTC  |  Edited by: Wishyouwell
I Cannot even start it the game with later than v1.7.49-1.
The game is carshing after login, when i start the clientGUI
@Archlinux

Ohh i read the other post, my problem is about the dx11 support since 1.7.50
ISD IonCharge
ISD STAR
#8 - 2015-10-22 10:14:32 UTC
Try the wine-staging branch, it has specific pulseaudio fixes which aren't in the main line. I've had no audio issues whatsoever with it on 1.7.51, 52, 53.

As Miao says above, set xaudio2_7 and 2_8 to native, and be sure to set d3d11 to disabled, in your libraries overrides.

ISD IonCharge

Executive, ISD:STAR